#ifndef STCONFIGDATA_H
#define STCONFIGDATA_H

#include "wx/wx.h"

/**
	@author sfinks@users.sourceforge.net <sfinks@users.sourceforge.net>
*/
class stConfigData{
public:
    stConfigData();

	~stConfigData();
	
	void SetData(long maxdl = 0, long maxul = 1, long maxseeds = 0, 
						 long maxconn = 120, long maxulspeed = 0, 
						 long maxdlspeed = 0, long port = 6881, long port_end = 6889,
						 long utpport = 4444 , wxString dir = wxString::wxString(_T("./")) );
	
    unsigned int GetMaxDl();
    unsigned int GetMaxSeeds();
    unsigned int GetMaxConn();
    unsigned int GetMaxUlSpeed();
    unsigned int GetMaxDlSpeed();
    unsigned int GetPort();
    unsigned int  GetUTPPort();
    wxString* GetDir();


private:
	int m_maxdl, m_maxul, m_maxseeds, m_maxconn, m_maxulspeed,
		m_maxdlspeed, m_port,  m_utp; 
	wxString *m_fdl;
};

#endif
