#ifndef STCONFIGDIALOG_H
#define STCONFIGDIALOG_H

#include "wx/wx.h"
#include "wx/config.h"
#include "wx/wfstream.h"
#include "wx/stdpaths.h"
#include "wx/fileconf.h"

/**
	@author ,,, <sfinks@users.sourceforge.net>
*/
class stConfigDialog : public wxDialog
{
public:
	stConfigDialog(wxWindow* win);
    ~stConfigDialog();
    void SetData(long dl, long ul, long seeds, long conn, long us, long ds, long port, long port_end, long utp, wxString f);
	void OnOpenDir(wxCommandEvent& event);

public:
	wxTextCtrl	*m_maxdl, *m_maxul, *m_maxseeds, *m_maxconn, *m_maxulspeed;
	wxTextCtrl	*m_maxdlspeed, *m_port, *m_port_end, *m_utp, *m_fdl;
	wxButton	*m_fdl_button;

private:
		DECLARE_EVENT_TABLE()
};

enum {
	CONF_OK,
	CONF_CANCEL,
	CONF_OPENDIR
};

#endif
