/*
This project was initialy named sharptorrent, but when it came out that theres already project named 
sharptorrent in sourceforge, it was renamed to sharktorrent.
*/
#ifndef _SHARKTORRENT_H_
#define _SHARKTORRENT_H_

#include "wx/wx.h"
#include "wx/stdpaths.h"
#include "wx/filename.h"
#include "wx/snglinst.h"
#include "wx/txtstrm.h"

#include <boost/filesystem/operations.hpp>
#include <boost/filesystem/fstream.hpp>
#include <boost/filesystem/exception.hpp>
#include <boost/date_time/posix_time/posix_time.hpp>
#include <boost/bind.hpp>
//#include <boost/program_options.hpp>
//#include <boost/regex.hpp>


#include "libtorrent/entry.hpp"
#include "libtorrent/bencode.hpp"
#include "libtorrent/session.hpp"
#include "libtorrent/identify_client.hpp"
#include "libtorrent/alert_types.hpp"
#include "libtorrent/ip_filter.hpp"

#include "st4.xpm"

#define ST_VERSION  "0.1.1"

class sharkTorrentFrame;
class stTorrentsListCtrl;



/**
 * @short Application Main Window
 * @author ,,, <sfinks@users.sourceforge.net>
 * @version 0.1
 */
class  sharkTorrentApp : public wxApp
{
	public:
		virtual bool OnInit();
		virtual int OnExit();
	
	public:
		sharkTorrentFrame *frame;
	
	private:
		wxSingleInstanceChecker *m_checker;
};

DECLARE_APP(sharkTorrentApp);

static int g_sortcol, g_sortorder;

#endif // _SHARKTORRENT_H_
