#include "ststrlong.h"


stStrLong::stStrLong()
{
	m_iss = m_isl = false;
}
stStrLong::stStrLong(wxString s)
{
	m_iss = m_isl = false;
	m_iss = true;
	m_s = s;
}
stStrLong::stStrLong(long l){
	m_iss = m_isl = false;
	m_isl = true;
	m_l = l ;;

}
stStrLong::stStrLong(int i)
{
	m_iss = m_isl = false;
	m_isl = true;
	m_l = i ;
}

stStrLong::~stStrLong()
{
}

void stStrLong::SetStr(wxString _s) {
	m_iss = true;
	m_s =_s;
}

void stStrLong::SetLong(long _l) {
	m_isl = true;
	m_l=_l;
}

bool stStrLong::IsString() {
	return m_iss;
}
bool stStrLong::IsLong() {
	return m_isl;
}
wxString stStrLong::ToString() 
{
	if(m_iss) return m_s;
	return wxString(_T("_error_"));
}

long stStrLong::ToLong() {
	return m_l;
}

int stStrLong::Compare(stStrLong ssl)
{
	if(ssl.IsLong() && IsLong()) {
		if(ssl.ToLong() > m_l) return 1;
		if(ssl.ToLong() < m_l) return -1;
		return 0;
	}
	if(ssl.IsString() && IsString()) return ssl.ToString().compare( m_s );
	assert(1>1);
}
