#include "sttaskbaricon.h"
#include "sharktorrentframe.h"

class sharkTorrentFrame;


BEGIN_EVENT_TABLE(stTaskBarIcon, wxTaskBarIcon)
    EVT_MENU(PU_RESTORE, stTaskBarIcon::OnMenuRestore)
    EVT_MENU(PU_EXIT,    stTaskBarIcon::OnMenuExit)

//    EVT_MENU(PU_NEW_ICON,stTaskBarIcon::OnMenuSetNewIcon)
//    EVT_MENU(PU_CHECKMARK,stTaskBarIcon::OnMenuCheckmark)
//    EVT_UPDATE_UI(PU_CHECKMARK,stTaskBarIcon::OnMenuUICheckmark)
    EVT_TASKBAR_LEFT_DCLICK  (stTaskBarIcon::OnLeftButtonDClick)
END_EVENT_TABLE()


void stTaskBarIcon::OnMenuRestore(wxCommandEvent& )
{
	if(wxGetApp().frame->IsShown()) {
		wxGetApp().frame->Show(false);
	} else {
		wxGetApp().frame->Show(true);
	}
}

void stTaskBarIcon::OnMenuExit(wxCommandEvent& )
{
	wxGetApp().frame->DoQuit();
}

/*static bool check = true;

void stTaskBarIcon::OnMenuCheckmark(wxCommandEvent& )
{
       check =!check;
}
void stTaskBarIcon::OnMenuUICheckmark(wxUpdateUIEvent &event)
{
       event.Check( check );
}

void stTaskBarIcon::OnMenuSetNewIcon(wxCommandEvent&)
{
	wxIcon icon(st4_xpm);

    if (!SetIcon(icon, wxT("stTaskBarIcon Sample - a different icon")))
        wxMessageBox(wxT("Could not set new icon."));
}

*/
// Overridables
wxMenu *stTaskBarIcon::CreatePopupMenu()
{
    wxMenu *menu = new wxMenu;

    menu->Append(PU_RESTORE, _T("&Hide/Restore"));
	menu->Append(PU_EXIT,    _T("E&xit"));

	return menu;
}


void stTaskBarIcon::OnLeftButtonDClick(wxTaskBarIconEvent&)
{
	if(wxGetApp().frame->IsShown()) {
		wxGetApp().frame->Show(false);
	} else {
		wxGetApp().frame->Show(true);
	}
}


