#ifndef _STTASKBARICON_H_
#define _STTASKBARICON_H_

#include <wx/defs.h>
#include "wx/wxprec.h"
#include "wx/app.h"
#include "wx/taskbar.h"
#include "sharktorrent.h"

class sharkTorrentFrame;

class stTaskBarIcon : public wxTaskBarIcon
{
public:
	stTaskBarIcon(){};
	~stTaskBarIcon(void) {
		// If there's an icon set, remove it
        if (IsIconInstalled()) {
                RemoveIcon();
        }
	};

	void OnLeftButtonDClick(wxTaskBarIconEvent&);
    void OnMenuRestore(wxCommandEvent&);
    void OnMenuExit(wxCommandEvent&);
    void OnMenuSetNewIcon(wxCommandEvent&);
	void OnMenuCheckmark(wxCommandEvent&);
	void OnMenuUICheckmark(wxUpdateUIEvent&);
    virtual wxMenu *CreatePopupMenu();

private:
	wxWindow *dialog;

DECLARE_EVENT_TABLE()
};

enum {
    PU_RESTORE = 10001,
    PU_NEW_ICON,
    PU_EXIT,
    PU_CHECKMARK
};
#endif
